selecting all nodes of a part from a multi-part polygon does not delete that part

2016-05-14 04:05 AM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:master Regression?: No

Operating System: all Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 22773

Description

I just noticed a serious regression in QGIS with regards to digitizing features. When selecting all nodes of a part in a multi-part polygon,

deleting those nodes (via the DEL keyboard shortcut) does nothing, i.e. fails to delete that part as it used to do in QGIS.

Steps to reproduce:

    1. Create a multipolygon scratch layer in an empty QGIS project

    2. Add a multipolygon with two parts, make sure the second part is small and distant enough from first part to be able to select all its

nodes via left mouse click drag

    3. Save the scratch layer

    4. While still in edit mode, select all the nodes of one of the parts of the above created multipolygon

    5. Hit the DEL keyboard key

    6. Notice the absence of deletion of that part

History

#1 - 2016-05-14 01:50 PM - Nyall Dawson

- Priority changed from Severe/Regression to Normal

Not a regression, so lowering the priority

#2 - 2016-05-14 07:55 PM - Mathieu Pellerin - nIRV

- Subject changed from regression: selecting all nodes of a part from a multi-part polygon does not delete that part to selecting all nodes of a part from a 

multi-part polygon does not delete that part

Oups, Nyall's right; a while ago, Jürgen fixed / implemented deletion of ring by selection all of its nodes.  I got my rings and my parts mixed up ;)

#3 - 2017-05-01 01:05 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#4 - 2019-03-09 04:10 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR
Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
